%define api 5.2
%define major  0
%define libname %mklibname pgm %{api} %{major}
%define devname %mklibname pgm -d

Name:          openpgm
Version:       5.2.122
Release:       %mkrel 3
Summary:       An implementation of the PGM reliable multicast protocol
Group:         System/Libraries
# The license is LGPLv2.1
License:       LGPLv2
# New URL is https://github.com/steve-o/openpgm
URL:           http://openpgm.googlecode.com/
Source0:       http://openpgm.googlecode.com/files/libpgm-%{version}~dfsg.tar.xz
BuildRequires: python
BuildRequires: perl

%description
OpenPGM is an open source implementation of the Pragmatic General
Multicast (PGM) specification in RFC 3208.

%package -n %{libname}
Summary:       Library files for %{name}
Group:         System/Libraries


%description -n %{libname}
This package contains OpenPGM libraries.

%package -n %{devname}
Summary:       Development files for %{name}
Group:         Development/Libraries
Requires:      %{libname} = %{version}-%{release}
Provides:      %{name}%{api}-devel = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains OpenPGM related development libraries and header files.

%prep
%setup -q -n libpgm-%{version}~dfsg/%{name}/pgm

%build
%configure2_5x \
	--disable-static
%make_build

%install
rm -rf %buildroot
%make_install

find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc COPYING LICENSE
%{_libdir}/libpgm-%{api}.so.%{major}
%{_libdir}/libpgm-%{api}.so.%{major}.*

%files -n %{devname}
%doc examples/
%{_includedir}/*
%{_libdir}/libpgm.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc


%changelog
* Mon Jul 10 2017 adrianomorselli <adrianomorselli> 5.2.122-1uplos2017
- import for openshot
